Bug 1890740 (CVE-2020-14771) - CVE-2020-14771 mysql: Server: Security: LDAP Auth unspecified vulnerability (CPU Oct 2020)
Summary: CVE-2020-14771 mysql: Server: Security: LDAP Auth unspecified vulnerability (...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2020-14771
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1890796
TreeView+ depends on / blocked
 
Reported: 2020-10-22 20:13 UTC by msiddiqu
Modified: 2021-02-16 19:03 UTC (History)
19 users (show)

Fixed In Version: mysql 5.7.32, mysql 8.0.22
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 14:21:58 UTC


Attachments (Terms of Use)

Description msiddiqu 2020-10-22 20:13:13 UTC
Vulnerability in the MySQL Server product of Oracle MySQL (component: Server: Security: LDAP Auth). Supported versions that are affected are 5.7.31 and prior and 8.0.21 and prior. Difficult to exploit vulnerability allows high privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a partial denial of service (partial DOS) of MySQL Server.

External References:

https://www.oracle.com/security-alerts/cpuoct2020.html#AppendixMSQL

Comment 1 msiddiqu 2020-10-22 20:40:36 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1890789]


Created mysql:5.7/community-mysql tracking bugs for this issue:

Affects: fedora-32 [bug 1890791]


Created mysql:8.0/community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1890790]

Comment 2 Cedric Buissart 2020-10-27 13:40:15 UTC
Statement:

MySQL as shipped in Red Hat Enterprise Linux and Software Collection do not have support for LDAP authentication. As a result, this flaw does not affect the component.

Comment 3 Product Security DevOps Team 2020-10-27 14:21:58 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-14771

Comment 4 Tomas Hoger 2020-11-03 09:04:57 UTC
LDAP authentication plugin is only included in the MySQL Enterprise Edition and is not part of the Community Edition:

https://dev.mysql.com/doc/refman/8.0/en/ldap-pluggable-authentication.html


Note You need to log in before you can comment on or make changes to this bug.